For the complete documentation index, see llms.txt. This page is also available as Markdown.

Margay API

getAuthenticationInformation

post

Retrieves a summary of authentication information for the previous 10 minutes.

Responses
200

Successful response

No content

post/JAPI/Niam/getAuthenticationInformation
POST /JAPI/Niam/getAuthenticationInformation HTTP/1.1
Host: margay.eseye.com
Accept: */*
200

Successful response

No content

getCookieName

post

Returns the name of the HTTP cookie needed for sessions to continue without the need to log in each time. A cookie is valid for 4 hours after it is generated.

Responses
200

Successful response

application/json
stringOptional
post/JAPI/Niam/getCookieName
POST /JAPI/Niam/getCookieName HTTP/1.1
Host: margay.eseye.com
Accept: */*
200

Successful response

PHPSESSID

getThroughputInformation

post

Retrieves a summary of data sent and received for the previous 10 minutes.

Responses
200

Successful response

application/json
post/JAPI/Niam/getThroughputInformation
POST /JAPI/Niam/getThroughputInformation HTTP/1.1
Host: margay.eseye.com
Accept: */*
200

Successful response

{
  "status": {
    "status": "OK",
    "errorCode": "",
    "errorMessage": ""
  },
  "data_count": [
    {
      "mcc": "234",
      "mnc": "10",
      "databytes_mo": "517",
      "databytes_mt": "284",
      "start_date": "2020-09-14 16:12:37",
      "stop_date": "2020-09-14 16:22:37"
    }
  ]
}

login

post

Logs the user into Margay.

Body
usernamestringRequired
passwordstringRequired
portfolioIDstringRequired
Responses
200

Successful response

application/json
cookiestringOptional
post/JAPI/Niam/login
POST /JAPI/Niam/login HTTP/1.1
Host: margay.eseye.com
Content-Type: application/json
Accept: */*
Content-Length: 100

{
  "username": "Example@Username.com",
  "password": "examplepassword",
  "portfolioID": "CustomerPortfolioID"
}
200

Successful response

{
  "status": {
    "errorCode": "",
    "errorMessage": "",
    "status": "OK"
  },
  "cookie": "01eq42isi4e2ksr2p6dq7jfut2"
}

logout

post

Logs the user out of Margay.

Responses
200

Successful response

application/json
post/JAPI/Niam/logout
POST /JAPI/Niam/logout HTTP/1.1
Host: margay.eseye.com
Accept: */*
200

Successful response

{
  "status": {
    "status": "OK",
    "errorCode": "",
    "errorMessage": ""
  }
}

ping

post

Tests whether the server is running.

Responses
200

Successful response

application/json
stringOptional
post/JAPI/Niam/ping
POST /JAPI/Niam/ping HTTP/1.1
Host: margay.eseye.com
Accept: */*
200

Successful response

pong

Last updated

Was this helpful?